#
# Cookbook Name:: sas2ircu
# Recipe:: default
#
# Copyright 2017, LivelinkTechnology Ltd
#
#
# Installs SAS2Ircu tools, a buffering tool (to reduce IOwait from polling this regularly)
# and an Ohai module to populate this data into the Node Attributes
#
#

# This isn't relevant if it's not running mpt3sas
return unless node['kernel']['modules'].include?('mpt3sas')

cookbook_file '/usr/local/sbin/sas2ircu' do
  source 'sas2ircu'
  mode '0755'
end

cookbook_file '/usr/local/sbin/grab_sas2ircu_display.sh' do
  source 'grab_sas2ircu_display.sh'
  mode '0755'
end

cookbook_file '/usr/local/sbin/diskmap.sh' do
  source 'diskmap.sh'
  mode '0755'
end

cookbook_file '/etc/logrotate.d/diskmap' do
  source 'diskmap-logrotate'
end

cron 'run_diskmap' do
  minute 0
  hour 6
  weekday 1
  command "date +'\\%Y-\\%m-\\%d \\%H:\\%m' >> /var/log/diskmap.log && \
    /usr/local/sbin/diskmap.sh >> /var/log/diskmap.log 2>&1 && \
    echo >> /var/log/diskmap.log"
end

ohai_plugin 'sas2ircu' do
  source_file 'sas2ircu_ohai.rb'
end
